/* eslint-disable prettier/prettier */
export default function homePropsProvider(props) {
  const {
    userDetails,
    navigateToConfirmDate,
    navigateToOverTime,
    dataChart,
    alertMessage,
    showAlert,
    onHideAlert,
    isDisableLoadMore,
    onLoadMoreLeavesTicket,
    leaveList,
    leaveApproveReqList,
    onRefreshLeaveList,
    onLoadMoreLeavesApproveReqTicket,
    onRefreshLeaveApproveReqList,
    modalContent,
    onOpenDetailModal,
    onOpenAddModal,
    payloadApproveLeaves,
    onChangeSelectFilter,
    minutesToHours,
  } = props;
  return {
    userDetails,
    navigateToConfirmDate,
    navigateToOverTime,
    dataChart,
    alertMessage,
    showAlert,
    onHideAlert,
    isDisableLoadMore,
    onLoadMoreLeavesTicket,
    leaveList,
    leaveApproveReqList,
    onRefreshLeaveList,
    onLoadMoreLeavesApproveReqTicket,
    onRefreshLeaveApproveReqList,
    modalContent,
    onOpenDetailModal,
    onOpenAddModal,
    payloadApproveLeaves,
    onChangeSelectFilter,
    minutesToHours,
  };
}
